%global srcname grml-etc-core

Name:           zsh-grml
Version:        0.12.6
Release:        2%{?dist}
Summary:        Configuration files for zsh from the Grml project

License:        GPLv2
URL:            http://www.grml.org/zsh
Source0:        http://deb.grml.org/pool/main/g/%{srcname}/%{srcname}_%{version}.tar.gz

BuildArch:      noarch

Requires:       zsh coreutils grep sed

%description
Grml project's setup for zsh.


%prep
%autosetup -n %{srcname}-%{version}


%build
make -C doc


%install
install -p -D -m644 etc/skel/.zshrc %{buildroot}%{_sysconfdir}/skel/.zshrc-grml
install -p -D -m644 etc/zsh/keephack %{buildroot}%{_sysconfdir}/zsh/keephack
install -p -D -m644 etc/zsh/zshrc %{buildroot}%{_sysconfdir}/zshrc-grml
install -D -m644 doc/grmlzshrc.5 %{buildroot}%{_mandir}/man5/zshrc-grml.5


%post
cp -p %{_sysconfdir}/skel/.zshrc %{_sysconfdir}/skel/.zshrc-zsh ||:
ln -sf .zshrc-grml %{_sysconfdir}/skel/.zshrc
cp -p %{_sysconfdir}/zshrc %{_sysconfdir}/zshrc-zsh ||:
ln -sf zshrc-grml %{_sysconfdir}/zshrc

%postun
cp -p %{_sysconfdir}/skel/.zshrc-zsh %{_sysconfdir}/skel/.zshrc
rm -f %{_sysconfdir}/skel/.zshrc-zsh ||:
cp -p %{_sysconfdir}/zshrc-zsh %{_sysconfdir}/zshrc
rm -f %{_sysconfdir}/zshrc-zsh ||:


%files
%license debian/copyright
%doc README.md debian/changelog debian/NEWS
%config(noreplace) %{_sysconfdir}/skel/.zshrc-grml
%config(noreplace) %{_sysconfdir}/zsh/keephack
%config(noreplace) %{_sysconfdir}/zshrc-grml
%{_mandir}/man5/zshrc-grml.5*


%changelog
* Sat Oct 01 2016 Raphael Groner <projects.rg@smart.ms> - 0.12.6-2
- prevent conflict with zsh own files

* Wed Sep 28 2016 Raphael Groner <projects.rg@smart.ms> - 0.12.6-1
- initial
